<template>
  <n-layout-sider
    class="layout_sidebar"
    v-bind="getSideOptions"
  >
    <div class="project__logo">
      河湖长眼巡检平台
    </div>
    <SideMenu />
  </n-layout-sider>
</template>

<script setup>
import { computed, toRaw } from 'vue'
import SideMenu from '@/layout/components/Menu/index.vue'
import { useSettingStore } from '@/store/modules/setting.js'
const settingStore = useSettingStore()

const getSideOptions = computed(() => {
  return toRaw(settingStore.getSidebarSetting)
})

</script>
